declare type URLString = string;
declare class WechatService {
    dependencies: ["ExpressService"];
    name: "WechatService";
    getOfficualAccountRedirectUrl(): URLString;
    authorizeByOfficialReturnUrl(returnUrl: string, callback: (err: Error, data: OfficialAccountAuthorizeInfo) => void): any;
    getUserAuthorizeRedirectUrl(info: OfficialAccountAuthorizeInfo, returnUrl: string): URLString;
    authorizeByUserReturnUrl(returnUrl: string, callback: (err: Error, data: WechatAccountAuthorizeInfo) => void): any;
    getUserProfile(info: WechatAccountAuthorizeInfo, callback: (err: Error, WechatUserInfo) => void): any;
}
interface OfficialAccountAuthorizeInfo {
}
interface WechatAccountAuthorizeInfo {
}
interface WechatUserInfo {
}
