type URLString = string
declare class WechatService {
    dependencies: ["ExpressService"]
    name: "WechatService"
    getOfficualAccountRedirectUrl(): URLString;
    authorizeByOfficialReturnUrl(returnUrl: string, callback: (err: Error, data: OfficialAccountAuthorizeInfo) => void);
    getUserAuthorizeRedirectUrl(info: OfficialAccountAuthorizeInfo, returnUrl: string): URLString;
    authorizeByUserReturnUrl(returnUrl: string, callback: (err: Error, data: WechatAccountAuthorizeInfo) => void);
    getUserProfile(info: WechatAccountAuthorizeInfo, callback: (err: Error, WechatUserInfo) => void);
}
interface OfficialAccountAuthorizeInfo {
}
interface WechatAccountAuthorizeInfo {
}
interface WechatUserInfo {
}
