"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function APIDecorator(fn) {
    return function (option) {
        var handler = fn(option);
        return function (obj, name, descriptor) {
            var orig = descriptor.value;
            descriptor.value = function () {
                handler.call(this, orig.bind(this), option);
            };
        };
    };
}
exports.APIDecorator = APIDecorator;
//# sourceMappingURL=decorator.js.map